lcvprestatheme_changelog:
  path: lcvprestatheme/configuration/changelog
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\ConfigurationAdminController::changelogDisplayAction

lcvprestatheme_module_cfg:    
  path: lcvprestatheme/configuration/general
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\ConfigurationAdminController::generalConfigurationAction

admin_presta_general:
    path: lcvprestatheme
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ConfigurationGeneralAction'

admin_presta_header:
    path: lcvprestatheme_header
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ConfigurationHeaderAction'

admin_presta_parent_menu:
    path: lcvprestatheme/parent_menu/{id}/{action}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminMenuController::ConfigurationMenuParentAction'

admin_presta_media_menu:
    path: lcvprestatheme/media_menu/{id}/{action}/{parent_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminMenuController::ConfigurationMenuMediaAction'

admin_presta_child_menu:
    path: lcvprestatheme/child_menu/{id}/{action}/{parent_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminMenuController::ConfigurationMenuChildAction'

admin_presta_show_parent_menu:
    path: lcvprestatheme/show/parent_menu
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminMenuController::ShowMenuParentAction'

admin_presta_show_child_menu:
    path: lcvprestatheme/show/child_menu/{parent_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminMenuController::ShowMenuChildAction'

admin_menu_parent_reorder:
    path: lcvprestatheme/parent_menu/reorder
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminMenuController::ReorderParentMenuAction'

admin_menu_child_reorder:
    path: lcvprestatheme/child_menu/reorder
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminMenuController::ReorderChildMenuAction'



admin_presta_footer:
    path: lcvprestatheme_footer
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ConfigurationFooterAction'


admin_presta_brand:
    path: lcvprestatheme_brand/{action}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationBrandAction'


admin_presta_catalogue:
    path: lcvprestatheme/catalogue
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminProductController::ConfigurationCatalogueAction'


admin_presta_produit:
    path: lcvprestatheme/produit
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminProductController::ConfigurationProductAction'
    

admin_presta_resaux:
    path: lcvprestatheme/resaux/{id}/{action}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ConfigurationResauxAction'

admin_presta_show_resaux:
    path: lcvprestatheme/show/reseaux
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ShowResauxAction'


admin_presta_bandeau:
    path: lcvprestatheme/bandeau/{id}/{action}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ConfigurationTopBandeauAction'

admin_presta_show_bandeau:
    path: lcvprestatheme/show/bandeau
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ShowTopBandeauAction'


admin_presta_parameter_bandeau:
    path: lcvprestatheme_parameter_bandeau
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ParameterTopBandeauAction'



admin_presta_show_category:
    path: lcvprestatheme/show/category/{group_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ShowCategoryAction'

admin_presta_category:
    path: lcvprestatheme/category/{id}/{action}/{group_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationCategoryAction'

admin_presta_group_category:
    path: lcvprestatheme/group/category/{id}/{action}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationCategoryGroupAction'

admin_presta_show_slider:
    path: lcvprestatheme/show/slider/{group_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ShowSliderAction'

admin_presta_group_slider:
    path: lcvprestatheme/group/slider/{id}/{action}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationSliderGroupAction'

admin_presta_slider:
    path: lcvprestatheme/slider/{id}/{action}/{group_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationSliderAction'

admin_presta_group_product_home:
    path: lcvprestatheme/group/product/{id}/{action}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationProductHomeGroupAction'

admin_presta_product_home:
    path: lcvprestatheme/product/{id}/{action}/{group_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationProductHomeAction'


admin_presta_about:
    path: lcvprestatheme/about/{id}/{action}/{group_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationAboutAction'

admin_presta_group_about:
    path: lcvprestatheme/group/about/{id}/{action}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationAboutGroupAction'

admin_presta_show_reassurance:
    path: lcvprestatheme/show/reassurance/{group_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ShowReassuranceAction'

admin_presta_group_reassurance:
    path: lcvprestatheme/group/reassurance/{id}/{action}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationReassuranceGroupAction'


admin_presta_reassurance:
    path: lcvprestatheme/reassurance/{id}/{action}/{group_id}
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationReassuranceAction'

admin_presta_livraison:
    path: lcvprestatheme/livraison
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ConfigurationLivraisonAction'


admin_presta_home:
    path: lcvprestatheme/blockHome
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminHomeBlocksController::ConfigurationBlockHomeAction'


admin_presta_gtm:
    path: lcvprestatheme/gtm
    methods: [GET , POST]
    defaults: 
      _controller: 'PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ConfigurationGoogleTagManagerAction'

admin_presta_toggle_visibility:
  path: lcvprestatheme/toggle-visibility
  controller: PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminFormController::toggleVisibility
  methods: [GET , POST]

admin_presta_popup:
  path: lcvprestatheme/popup
  controller: PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ConfigurationPopUpAction
  methods: [GET , POST]

admin_presta_css:
  path: lcvprestatheme/css
  controller: PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ConfigurationCssAction
  methods: [GET , POST]

admin_presta_store:
  path: lcvprestatheme/store/{id}/{action}
  controller: PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ConfigurationStoreAction
  methods: [GET , POST]


admin_presta_show_store:
  path: lcvprestatheme/show/store
  controller: PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\AdminGeneralController::ShowStoreAction
  methods: [GET , POST]


lcvprestatheme_security_alert:
  path: lcvprestatheme/security
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\ContactCustomerAdminController::ajaxProcessSendSecurityAlertAction


lcvprestatheme_product_search:
  path: lcvprestatheme/product-search
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaTheme\Controllers\Admin\ProductSearchController::searchAction

